// STFile.h: interface for the CSTFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_STFILE_H__82819DC4_FDCD_11D0_8C92_444553540000__INCLUDED_)
#define AFX_STFILE_H__82819DC4_FDCD_11D0_8C92_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CSTFile  
{
public:
	void SetGPSFileName(CString strFileName);
	void SaveFile();
	void SetGPSInfo(CString strVehicle, CString strLat, CString strLong, CString strToken, CString strLable);
	CSTFile();
	virtual ~CSTFile();

protected:
	CFile m_GPSFile;
	CFileException e;
	CString m_strFileName;
	void Add();
	CString m_strVehicle;
	CString m_strLable;
	CString m_strLong;
	CString m_strLat;
	CString m_strToken;	
	CPtrList m_listVehicle;
};

#endif // !defined(AFX_STFILE_H__82819DC4_FDCD_11D0_8C92_444553540000__INCLUDED_)
